pango1.0 (1.48.9+ds1-2) unstable; urgency=medium

  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Release to unstable (Closes: #992906)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Aug 2021 13:25:04 -0400

pango1.0 (1.48.9+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control.in: Update dependencies
  * Drop patch that was applied upstream
  * d/gbp.conf, d/control.in: Use debian/master branch.
    Older 1.48.x releases were already uploaded to debian/master.
  * d/p/tests-Skip-test-cases-that-are-laid-out-differently-with-.patch:
    Work around old version of Cantarell in Debian by skipping some tests.
    These tests rely on the size of particular glyphs in Cantarell, and
    will not work correctly with our older version with less glyph coverage.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 11:21:25 +0100

pango1.0 (1.48.7+ds1-2) experimental; urgency=medium

  * debian/libpango1.0-doc.links: Use versioned devhelp2 files
  * debian/patches: Use local values for size, fixing i386 test failures

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 21 Jul 2021 19:27:22 +0200

pango1.0 (1.48.7+ds1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/copyright: Update gi-docgen files and licenses
  * debian/patches: Refresh and drop the ones applied upstream

  [ Simon McVittie ]
  * libpango1.0-doc: Fix symlinks for devhelp

  [ Laurent Bigonville ]
  * debian/control: Switch dependencies from libfreetype6-dev to libfreetype-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Jul 2021 17:37:17 +0200

pango1.0 (1.48.4+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build documentation with gi-docgen
    - d/control.in: Update dependencies for gi-docgen documentation
    - d/copyright: Add licensing for bundled copy of gi-docgen.
      Until it's declared stable, the upstream recommendation is to vendor
      gi-docgen, which means Policy §4.13 allows an embedded code copy.
    - d/p/gi-docgen/build-Disable-tests-on-subprojects.patch,
      d/p/gi-docgen/build-Don-t-install-gi-docgen-used-as-a-subproject.patch:
      Don't install gi-docgen
    - d/p/gi-docgen/Disable-web-fonts-for-now.patch:
      Disable use of remote or bundled fonts
    - d/p/gi-docgen/templates-Remove-html5shiv.patch:
      Disable use of remote html5shiv
  * d/watch: Repack with bundled fonts and pregenerated docs excluded.
    Excluding these is easier than sorting out their licensing.
  * d/p/Tolerate-slightly-different-output-for-the-word-breaking-.patch:
    Remove patch, fixed differently upstream
  * pango1.0-tests: Override Lintian false-positive
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Apr 2021 16:35:56 +0100

pango1.0 (1.48.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Increase GLib build-dependency
    - Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Feb 2021 10:48:27 +0000

pango1.0 (1.48.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Merge packaging from unstable, rejecting the changes
    (not needed for 1.48.0)
  * Refresh patch series, dropping a patch that was applied upstream
  * d/rules: Make scripts executable where needed

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Dec 2020 14:03:26 +0000

pango1.0 (1.46.2-3) unstable; urgency=medium

  * Team upload
  * d/p/fc_Sort-faces-of-a-family.patch,
    d/p/fontconfig_Try-harder-to-return-a-default-face.patch:
    - Show regular monospace fonts in gnome-terminal's profile editor
      and not arbitrary font styles (LP: #1900729)

  [ Simon McVittie ]
  * d/gbp.conf: Use upstream/1.46.x branch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 10 Nov 2020 21:41:00 +0100

pango1.0 (1.47.0-1) experimental; urgency=medium

  * Team upload
  * d/watch, d/gbp.conf, d/control.in: Branch for experimental.
    GTK 4 needs pango 1.47, but that version is unlikely to be ready in
    time for the Debian 11 freeze.
  * New upstream development release
  * Update symbols files
  * Add patch to fix an introspection API break

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Nov 2020 11:13:27 +0000

pango1.0 (1.46.2-2) unstable; urgency=medium

  * Team upload
  * Use debian/tests/run-with-locales (originally from the gtk+4.0 Debian
    packaging) instead of open-coding it
    - d/rules, d/tests/installed-tests: Name the en_US locale as expected.
      Pango's tests want to see it in the normalized form en_US.utf8.
    - Run all tests in the newly-generated en_US.utf8 locale
  * Build-depend on fonts-noto-core so we can test Thai word-breaking.
    tests/breaks/four.break is skipped if we don't have any Thai fonts.
  * Build-depend on fonts-noto-color-emoji so we can test odd symbols.
    tests/layouts/valid-6.markup wants an emoji/symbols/dingbats font
    that can handle U+FE0F U+20E3 (VARIATION SELECTOR-16, COMBINING
    ENCLOSING KEYCAP).
  * d/p/Revert-testsuite-Don-t-use-g_test_skip.patch:
    Add patch to improve unit test output.
    Upstream avoids g_test_skip() as a workaround for a Meson bug, but
    we can get a fixed Meson by build-depending on at least 0.55.3.
  * d/p/Tolerate-slightly-different-output-for-the-word-breaking-.patch:
    Add patch to tolerate slightly different Thai word-breaking.
    Dashes are treated as a word start, word break and word end on Fedora,
    but a word start and word break (only) on Debian. It isn't clear why.
    (If you can help, please see #971546)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2020 20:24:40 +0000

pango1.0 (1.46.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Enable all auto features

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 29 Sep 2020 20:28:10 -0400

pango1.0 (1.46.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patch for #968337, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Aug 2020 13:46:46 +0100

pango1.0 (1.46.0-2) unstable; urgency=medium

  * Team upload
  * d/p/renderer-Move-overline-to-priv-data-structure.patch:
    Revert ABI break on 32-bit architectures in 1.45.1 (Closes: #968337)

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Aug 2020 14:07:31 +0100

pango1.0 (1.46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Reinstate libpango1.0-0, since it has passed NEW now
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Aug 2020 11:13:10 +0100

pango1.0 (1.45.5-1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #964380)
  * d/watch: Look for odd-numbered branches too
  * d/control.in: Update dependencies
  * d/copyright: Update
  * Drop patch, applied upstream
  * d/*.symbols: Update
  * Temporarily remove libpango1.0-0 again to decouple this version
    update from the NEW queue

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Aug 2020 20:50:54 +0100

pango1.0 (1.44.7-5) unstable; urgency=medium

  * Team upload
  * Revert removal of libpango1.0-0 binary package.
    Apparently 7 years is not long enough to update dependencies in the
    fast-moving world of third-party proprietary software.
    - Relax version constraints from lockstep versioning to (>= 1.42)
      (which is still 5 years newer than the last real libpango1.0-0
      package) so that the obsolete binary package can stay on end-user
      systems after upgrade, even after it has been removed from Debian.
    - Downgrade libpangox-1.0-0 dependency to Suggests.
      This is not strictly correct, because libpango1.0-0 traditionally
      included libpangox. However, libpangox is unmaintained upstream,
      in danger of being removed from Debian, and no longer present in
      Ubuntu i386, and in practice it seems to be rarely-used.
    (Closes: #958035, #956520, #959978, #958477)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Aug 2020 21:56:44 +0100

pango1.0 (1.44.7-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Cherry-pick Update-pango-emoji-table.h-to-Unicode-Emoji-Data-13.0.patch:
    - Prepare for Unicode 13.0 (LP: #1871972)

  [ Simon McVittie ]
  * d/shlibs.local: Upgrade all binary packages in lockstep.
    Like many projects where one source package builds multiple binary
    packages, Pango has private headers that share non-public interfaces
    between its binary packages. Upgrading one binary package from this
    source without upgrading the others is not something that its upstream
    developers are ever going to test or support, and neither should we.
    (Closes: #958017)
  * libpango-1.0-0: Add Breaks on older libpango*-1.0-0.
    This should ensure that buster users can't get a broken partial upgrade
    by upgrading only libpango-1.0-0, but not the others, from 1.42.x to
    1.44.x.

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Apr 2020 15:25:51 +0100

pango1.0 (1.44.7-3) unstable; urgency=medium

  * debian/control.in: Add libcairo2-doc, libgtk-3-doc and libharfbuzz-doc to
    BDI to fix more links between gtk-doc files

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Apr 2020 13:00:27 +0200

pango1.0 (1.44.7-2) experimental; urgency=medium

  * Team upload
  * d/control.in: Drop libpango1.0-0 transitional package
    (Closes: #940744, #948462)
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support, based on a patch for clutter-1.0
    by Steve Langasek
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Remove trailing whitespace
  * d/tests/build: Fail if using an undefined variable ("unofficial strict
    mode")
  * Trim trailing whitespace from debian/changelog
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0
  * Use debhelper-compat 12
    - Drop dh_makeshlibs -V, it is now the default
    - Install tests to default /usr/libexec/installed-tests

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Feb 2020 18:26:11 +0000

pango1.0 (1.44.7-1) experimental; urgency=medium

  * New upstream release
    - Fix tests without libthai
    - Small speedup to Emoji iteration
    - Bring back PangoFontsetSimple (pygtk bind it)

 -- Iain Lane <laney@debian.org>  Mon, 04 Nov 2019 16:46:18 +0000

pango1.0 (1.44.6-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
    - Update symbols files
    - Update build-dependencies according to meson.build
    - d/rules: Adjust to rename of enable_docs build option to gtk_doc
    - d/copyright: Update
    - Don't package AUTHORS, which is no longer shipped upstream
    - Adjust for upstream rename of README to README.md
  * Stop removing pango-view/pango-view.1.in from orig tarball.
    It has moved to utils/pango-view.1.in, and the Meson build system
    doesn't refer to it anyway.
  * d/p/build-Don-t-force-C99-for-meson-build.patch:
    Drop patch, no longer applicable and rejected upstream. We should
    reassess whether a similar change is needed before promoting this
    version from experimental to unstable.
  * d/p/*: Drop all other patches, applied upstream
  * d/rules: Continue to install installed-tests.
    They are now disabled by default, so explicitly enable them.
  * Add Provides for the new PangoFT2 and PangoXft GIR names
  * d/control: Make libpango1.0-dev depend on libthai-dev.
    The pkg-config metadata now pulls it in.
  * d/control: Sync libpango1.0-dev dependencies with versioned build-deps
  * Build-time tests:
    - Build-depend on locales, and generate an en_US locale that we can
      use to run build-time tests
    - Don't run build-time tests for the Architecture: all build, only
      for the Architecture: any builds
  * debian/tests:
    - Make the installed-tests depend on locales, and generate an en_US
      locale for those too
    - Use AUTOPKGTEST_TMP instead of deprecated ADTTMP
    - Mark build test as superficial
    - Add a test for the GObject-Introspection bindings

  [ Iain Lane ]
  * New upstream release
  * debian/libpango-1.0-0.symbols: Add pango_attr_insert_hyphens_new
  * control: BD on meson ≥ 0.50.0, now required by upstream

 -- Iain Lane <laney@debian.org>  Wed, 04 Sep 2019 14:35:26 +0100

pango1.0 (1.42.4-7) unstable; urgency=medium

  * Team upload
  * d/p/bidi-Be-safer-against-bad-input.patch:
    Fix heap overflow when acting on malformed UTF-8.
    (Closes: #933860; CVE-2019-1010238)

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Aug 2019 17:20:47 +0100

pango1.0 (1.42.4-6) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:33:12 -0500

pango1.0 (1.42.4-5) unstable; urgency=medium

  * Backport the emoji & Unicode 11 updates from pango 1.43 (LP: #1808075)
  * libpango1.0-dev: drop unnecessary Recommends: debhelper

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Dec 2018 20:49:15 -0500

pango1.0 (1.42.4-4) unstable; urgency=medium

  [ Hugh McMaster ]
  * debian/copyright: Update for Pango 1.42.4
  * debian/control.in: Split the development utilities into a new package
  * debian/control.in: Mark libpango1.0-dev Multi-Arch: same

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Nov 2018 11:01:28 -0500

pango1.0 (1.42.4-3) unstable; urgency=medium

  * Add build-Don-t-force-C99-for-meson-build.patch:
    - proposed patch to fix build differences on i386 (Closes: #907522)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 06 Sep 2018 13:23:27 -0400

pango1.0 (1.42.4-2) unstable; urgency=medium

  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Aug 2018 08:20:08 -0400

pango1.0 (1.42.4-1) unstable; urgency=medium

  * New upstream release
    - CVE-2018-15120
  * debian/libpango1.0-dev.install: Install new pango-list utility
  * Drop fribidi patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Aug 2018 14:13:07 -0400

pango1.0 (1.42.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Drop obsolete debian/source/options

  [ Simon McVittie ]
  * d/p/pango.pc.in-Move-fribidi-to-Requires.private.patch:
    Move fribidi from Requires to Requires.private (Closes: #895235)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jun 2018 13:16:24 +0100

pango1.0 (1.42.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Build-Depends on libfontconfig1-dev to >= 2.11.91
  * Have libpango1.0-dev depend on libfribidi-dev
  * debian/rules: Drop unnecessary gnome-get-source include
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 07 Apr 2018 09:22:59 -0400

pango1.0 (1.42.0-1) unstable; urgency=medium

  * New upstream release
  * Add new symbols
  * Build-Depend on libfribidi-dev since new release uses it
    instead of bundled mini-fribidi library
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/copyright: Convert to 1.0 format

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 24 Mar 2018 00:28:40 -0400

pango1.0 (1.40.14-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied in new release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Dec 2017 20:51:30 -0500

pango1.0 (1.40.13-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-pango-1.0 Provides gir1.2-pangocairo-1.0,
    gir1.2-pangoft2-1.0, gir1.2-pangoxft-1.0 to reflect the additional
    typelibs that it contains

  [ Michael Biebl ]
  * Add 0001-Fix-is_char_break-issue-in-pango_default_break-funct.patch.
    Fixes a regression introduced in 1.40.13 resulting in word wrapping / line
    breaks being broken. (Closes: #880674)

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Nov 2017 18:39:29 +0100

pango1.0 (1.40.13-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't use obsolete Priority: extra for transitional package
  * Bump Standards-Version to 4.1.1

  [ Michael Biebl ]
  * New upstream release
  * Use dh_missing --fail-missing instead of dh_install --fail-missing
  * Remove no longer needed Breaks/Replaces

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Oct 2017 15:45:53 +0100

pango1.0 (1.40.12-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-sentence-break-function.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 22:02:42 -0400

pango1.0 (1.40.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1.
  * Add fix-sentence-break-function.patch:
    - Fix regression caught by gtk3 & libgtk2-perl build tests
      (LP: #1709225) (Closes: #872317)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Aug 2017 09:46:11 -0400

pango1.0 (1.40.9-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Aug 2017 17:40:35 +0200

pango1.0 (1.40.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - harfbuzz >= 1.2.3

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 09:47:37 +0200

pango1.0 (1.40.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 09 Apr 2017 01:12:25 +0200

pango1.0 (1.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/disable-layout-test.patch, no longer needed.
  * Force update of pango-view.1.in to ensure it doesn't contain a dummy text.
    This requires a Build-Depends on help2man. (Closes: #774431)

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2017 19:59:30 +0100

pango1.0 (1.40.3-3) unstable; urgency=medium

  [ Martin Pitt ]
  * Drop libpango1.0-doc's "lynx | www-browser" dependency. Docs can also be
    read with devhelp, Chromium, or other browsers, there is no reason for
    this to be a strict dependency.

  [ Jeremy Bicha ]
  * Add missing hyphen to fix autopkgtest

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Oct 2016 21:49:33 +0200

pango1.0 (1.40.3-2) unstable; urgency=medium

  * Update debian/libpango1.0-doc.install to use the installed files.
    This allows us to use dh-install --fail-missing.
  * Enable all hardening build flags.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 20:45:05 +0200

pango1.0 (1.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop libpango1.0-0-dbg and switch to automatic dbgsym packages.
  * Drop debian/libpango1.0-common.README.Debian, it's horribly outdated.
  * Drop the multiflavor builds. Those are no longer necessary after the
    modules system has been dropped and we have udebs for all necessary
    dependencies.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Use dh_install --list-missing to show uninstalled files.
  * Remove symlink-to-doc migration code from pre-wheezy.
  * Drop obsolete Replaces from pre-wheezy.
  * Use dbus-run-session to run tests (autopkgtest). (Closes: #836040)
  * Drop debian/patches/configure-without-libthai.patch now that there's a
    libthai udeb.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 19:26:20 +0200

pango1.0 (1.40.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in: Add homepage

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 20:23:45 +0200

pango1.0 (1.40.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop --without-libthai now that there's a libthai udeb (Closes: #803228)
  * Bump libthai build-dependency to 0.1.22-3~ which gives us the udeb.
  * State font-cantarell is only a build-dependency unless nocheck profile.
    - since we only need it for tests to pass.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on debhelper to (>= 9.20141010) and add a versioned
    Build-Depends on dpkg-dev (>= 1.17.14) for <!nocheck> support.
  * Drop obsolete Conflicts, Breaks and Replaces from pre-wheezy.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 14:53:52 +0200

pango1.0 (1.38.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use https:// for Vcs-Browser

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - libharfbuzz-dev >= 0.9.30
  * Drop debian/patches/tests-needs-asserts.patch, fixed upstream.
  * Bump Standards-Version to 3.9.6
  * Add "(transitional package)" to libpango1.0-0 short description
    (Closes: #714766)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Oct 2015 18:47:18 +0200

pango1.0 (1.38.0-3) unstable; urgency=medium

  * Add debian/patches/configure-without-libthai.patch
    - make it possible to disable checking for libthai
  * debian/rules: configure udeb build --without-libthai
    - this avoids the udeb picking up a dependency on libthai which has
      no udeb. (Closes: #800356)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Sep 2015 16:01:38 +0200

pango1.0 (1.38.0-2) unstable; urgency=medium

  * Add debian/patches/disable-layout-test.patch
    - disable flaky test while waiting for feedback on bgo#755733

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Sep 2015 15:34:57 +0200

pango1.0 (1.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/tests-needs-asserts.patch
    - fixes issue in testattributes (bgo#755126) under --disable-debug
  * Make tests fatal again.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Sep 2015 04:48:34 +0200

pango1.0 (1.37.5-1) experimental; urgency=medium

  * New upstream development release.
    - The module system is now deprecated.
  * Drop patches obsoleted by module system deprecation:
    - 10_scan-module-files-in-dirs.patch
    - 11_module-files-append-module-files-d.patch
    - 14_makefile_modules_ft2_link_harfbuzz.patch
  * Drop lingering unused patch
    - 13_configure-thai-modules.patch
  * Partial import of Ubuntu gnome3 staging ppa 1.37.4-0ubuntu1~wily0
    - symbols files updates
    - package updates for modules deprecation
    - drop debian/dh_pangomodules.in + debian/libpango1.0-dev.manpages
  * Make tests non-fatal while waiting for feedback on BGO#755126
    - This seems to be a problem in the test itself rather then pango.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Sep 2015 19:27:38 +0200

pango1.0 (1.36.8-3) unstable; urgency=medium

  * debian/control{,.in}: The testsuite depends on Cantarell. Fixes DEP8 test
    failure.

 -- Iain Lane <laney@debian.org>  Tue, 18 Nov 2014 16:39:59 +0000

pango1.0 (1.36.8-2) unstable; urgency=medium

  * Drop Multi-Arch: same for libpango1.0-dev. The libpango1.0-dev package
    ships architecture specific binaries in /usr/bin. While those binaries
    could eventually be split off into a separate binary package, we just
    revert the change for now and defer it until there is actual need for it.
    (Closes: #763851)

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Oct 2014 01:20:45 +0200

pango1.0 (1.36.8-1) unstable; urgency=medium

  * New upstream release.
  * Install typelib files into multiarch paths now that gobject-introspection
    supports multiarch.
  * Mark gir and dev packages as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Oct 2014 17:36:14 +0200

pango1.0 (1.36.7-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on fonts-cantarell to avoid test failure.
    - We rely on gnome-core pulling this in for us in normal operations.
  * Run wrap-and-sort

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 09:57:33 -0700

pango1.0 (1.36.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update install path for installed-tests.
  * Bump Standards-Version to 3.9.5.
  * Drop Suggests ttf-baekmuk and ttf-arphic-*. Those font packages have been
    renamed in the mean time and nobody seems to remember why they were added
    in the first place. (Closes: #741672, #711292)

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Aug 2014 18:46:55 +0200

pango1.0 (1.36.3-1) unstable; urgency=medium

  * Add xauth test-dep, needed for xvfb-run
  * New upstream release
    - Fix builddir != srdir builds
      + Drop 0001-Fix-tests-for-builddir-srcdir-by-setting-G_TEST_-SRC.patch,
        which was a cherry-pick of this fix.
    - Avoid a crash when FT_Face is NULL
    - Update pango_color_parse docs

 -- Iain Lane <laney@debian.org>  Thu, 20 Mar 2014 18:01:45 +0000

pango1.0 (1.36.2-2) unstable; urgency=medium

  * Copyright cleanups (thanks Thorsten Alteholz)
    + harfbuzz isn't shipped here any more; remove mention of it
    + mini-fribidi is LGPL-2.1+
    + test/GraphemeBreakTest.txt is under the "Unicode License" (see package
      unicode-data).

 -- Iain Lane <laney@debian.org>  Mon, 24 Feb 2014 12:14:07 +0000

pango1.0 (1.36.2-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Set VERBOSE so we get more information about test failures.
    + Enable parallel builds.

  [ Iain Lane ]
  * New upstream release 1.36.2
   + Fix a possible strtol(NULL)
   + Fix --with-included-modules
   + Fix a FPE in pango_layout_iter_get_char_extents
   + Use 96 dpi for CoreText by default
   + Handle scaling absolute font sizes
  * Bump gtk-doc build-depend to 1.15 per configure.
  * debian/patches/0001-Fix-tests-for-builddir-srcdir-by-setting-G_TEST_-SRC.patch:
    Add new patch to fix make check causing FTBFS. (Closes: #727174)
  * Add an installed test package and a DEP-8 test to run them.
  * Clean up build and install dirs. Thanks, Steve Langasek.

 -- Iain Lane <laney@debian.org>  Tue, 11 Feb 2014 15:17:58 +0000

pango1.0 (1.36.0-1) unstable; urgency=low

  [ Michael Biebl ]
  * Use Breaks instead of Conflicts since that is recommended nowadays for
    moving files between packages.
  * Use the official field for udebs: Package-Type.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update debian/libpango-1.0-0.symbols with one added symbol.

  [ Michael Biebl ]
  * Refresh patches.
  * Bump minimum required version of libcairo2-dev to >= 1.12.10 and
    libfontconfig1-dev to >= 2.10.91 to get the thread-safe version.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Oct 2013 13:45:21 +0200

pango1.0 (1.32.5-5) unstable; urgency=low

  * Upload to unstable.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 May 2013 21:53:37 +0200

pango1.0 (1.32.5-4) experimental; urgency=low

  * debian/control.in:
    + Make libpango1.0-0 arch:any and M-A:same to fix the upgrade
      path when libpango1.0-0:$arch has been installed.
      Closes: #704795, #704850.
    + Since libpango1.0-0 is arch:any now, tighten its dependencies
      on the new library packages.
    + Make libpango1.0-0 depend on libpangox-1.0-0 to keep backwards
      compatibility with packages that link to libpangox-1.0.so.0
      and depend on libpango1.0-0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 09 Apr 2013 20:59:29 +0200

pango1.0 (1.32.5-3) experimental; urgency=low

  * debian/control.in:
    + Add missing breaks/replaces.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 29 Mar 2013 13:42:58 +0100

pango1.0 (1.32.5-2) experimental; urgency=low

  * debian/libpango1.0-0.install.opt,
    debian/rules:
    - We don't have an optimized flavor anymore.
  * debian/rules:
    - Pass -V without a version to dh_makeshlibs. We have symbol files
      for fine-grained versioning, and for shlibs this avoids problems
      if the version is not updated.
  * debian/control.in,
    debian/rules,
    debian/libpango*.symbols,
    debian/libpango*.install.in:
    - Split libpango in several packages, one per shared library. Keep
      libpango1.0-0 as a transitional package that depends on all the
      other packages to keep backwards compatibility. libpango1.0-0 will
      also grow a dependency on libpangox-1.0-0 once that package lands
      in the archive, as libpangox-1.0.so was previously shipped in
      libpango1.0-0 but is not shipped as part of pango1.0 anymore.
  * debian/libpango-1.0-0.install.in,
    debian/rules:
    - Make the pango modules be included in the shared libraries.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Mar 2013 22:43:51 +0100

pango1.0 (1.32.5-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
    - bump glib build-dependency to >= 2.33.12 according to configure.ac
    - add build-dependency on libharfbuzz-dev (>= 0.9.9-1)
  * Drop patches from upstream, now part of release:
    - 00git_memory_leak.patch
    - 00git_missing_prototype.patch
    - 00git_thai_zero_width_spaces.patch
  * Update patches to apply:
    - 10_scan-module-files-in-dirs.patch
    - 11_module-files-append-module-files-d.patch
    - 12_module-files-append-compat-module-files-d.patch
  * Add patch to fix build error during configure:
    - 13_configure-thai-modules.patch
  * Add patch to fix build during linking of module basic-fc:
    - 14_makefile_modules_ft2_link_harfbuzz.patch
  * debian/rules: bump MODVER to 1.8.0
  * Update libpango1.0-0.symbols
    - some new additions
    - libpangox-1.0.so.0 (pango_x_* symbols) removed

  [ Martin Pitt ]
  * debian/control.in: Fix misplaced XS-Testsuite header.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/libpango1.0-0.symbols:
      - Update for new symbols.
  * debian/control.in:
    - libpango1.0-dev needs to depend on libharfbuzz-dev.
  * debian/patches/12_module-files-append-compat-module-files-d.patch:
    - Removed, we no longer need to provide compatibility for ia32-libs.
  * debian/patches/11_module-files-append-module-files-d.patch:
    - Updated from Ubuntu, thanks Iain Lane and Rico Tzschichholz.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 20:32:09 +0100

pango1.0 (1.30.1-1) experimental; urgency=low

  * New upstream bug fix release.
  * debian/libpango1.0-0.symbols: Add new symbol from this release.
  * Grab a few fixes from upstream (via Ubuntu package, thanks Robert Ancell):
    - 00git_missing_prototype.patch: Add missing method prototype.
    - 00git_memory_leak.patch: Fix memory leak (LP: #837145)
    - 00git_thai_zero_width_spaces.patch: correctly handle zero width spaces
      in Thai (LP: #986008)
  * Add debian/tests: Simple compile/link/run autopkg test. Thanks to Rafał
    Cieślak! (LP: #1073637)
  * debian/control.in: Set Vcs-* to experimental branch.

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Nov 2012 13:23:16 +0100

pango1.0 (1.30.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Track stable releases again.
  * Refreshed and updated patches.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 22:00:53 +0200

pango1.0 (1.29.5-1) experimental; urgency=low

  * New upstream release.
    - Fix GI annotation syntax. Closes: #640855
  * debian/control.in: Bump Build-Depends on libglib2.0-dev to (>= 2.31.0).
  * debian/patches/00git_transfer_annotations.patch: Removed, merged upstream.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Mar 2012 10:39:11 +0100

pango1.0 (1.29.4-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove incorrect M-A: same statement for the debug package.

  [ Michael Biebl ]
  * Change section of gir1.2-pango-1.0 to introspection.
  * debian/watch: Track .xz tarballs.

  [ Martin Pitt ]
  * debian/watch: Watch for odd version numbers as well, since we already have
    1.29.x.

  [ Josselin Mouette ]
  * Drop x-ttcidfont-conf. Closes: #660062.

  [ Michael Biebl ]
  * debian/control.in: Drop obsolete Conflicts against pango-libthai.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Mar 2012 10:06:03 +0100

pango1.0 (1.29.4-2) unstable; urgency=low

  [ Michael Biebl ]
  * Bump debhelper compatibility level to 8.
    - Don't pass --dbg-package= without an argument to dh_strip as commands
      will fail rather than warn when they are passed unknown options.
  * Bump shlibs version info to 1.29.4.

  [ Martin Pitt ]
  * debian/rules: Remove workaround for bgo#653245, upstream tarball does not
    ship a pre-generated .gir any more.
  * debian/rules: Add a hack to rebuild the enum-types.[hc] and
    *.gir/*.typelib, to fix missing enum gtypes in the GIR due to the separate
     build tree. Add a test that the installed .gir really contains the
     gtypes.
  * Add 00git_transfer_annotations.patch: Add missing (transfer none)
    allocations which didn't make it into 1.29.4, but cause crashes due to
    double-free.

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Oct 2011 10:06:14 +0200

pango1.0 (1.29.4-1) unstable; urgency=low

  * New upstream release
  * Switch to xz compression
  * debian/patches/13-tests-link-libraries.patch
    - Dropped, merged upstream
  * debian/libpango1.0-0.symbols: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 04 Oct 2011 23:39:59 +0100

pango1.0 (1.28.4-3) unstable; urgency=low

  * Use the multiarch path for the udeb too. Closes: #637289.

 -- Josselin Mouette <joss@debian.org>  Tue, 16 Aug 2011 22:15:51 +0200

pango1.0 (1.28.4-2) unstable; urgency=low

  [ Steve Langasek ]
  * Build for multiarch. Closes: #634256
  * Declare a Breaks: on the pre-multiarch version of plymouth, so users
    don't get initramfs generation errors on upgrade.

  [ Michael Biebl ]
  * Stop installing libtool .la files and remove clean-la.mk include.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Jul 2011 17:17:24 +0200

pango1.0 (1.28.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Don't run uupdate.
    - Switch to .bz2 tarballs.
  * Remove debian/patches/01_CVE-2011-0020.patch, merged upstream.
  * Remove debian/patches/02_CVE-2011-0064.patch, merged upstream.
  * debian/control.in:
    - Bump Depends on libglib2.0-dev to (>= 2.24.0) for libpango1.0-dev.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Update Vcs-* fields.
    - Remove article from description synopsis.
  * debian/rules:
    - Remove .gir files which are shipped in the dist tarball. Those files
      were generated for gir format 1.1 and cause build failures when
      srcdir != builddir.
  * Link test suite against all necessary libraries.
    - Add debian/patches/13-tests-link-libraries.patch.
    - Add Build-Depends on dh-autoreconf and gtk-doc-tools.
    - Include autoreconf.mk in debian/rules.
  * Make lintian happy and remove "()" from "Author(s)" in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Jun 2011 19:20:48 +0200

pango1.0 (1.28.3-6) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update the Vcs-* fields for the unstable branches. Closes: #619698.
    + Remove suggested packages that are no longer in the archive.
      Closes: #619720.
  * debian/libpango1.0-0.preinst,
    debian/libpango1.0-dev.preinst:
    + Let's not fail it the supposed-to-be /usr/share/doc/$package
      symlinks aren't actually symlinks, to be nice to users with
      broken installs, possibly due to bugs in the switch from
      directories to symlinks a few years ago. Closes: #619771.

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 04 Apr 2011 23:18:48 +0100

pango1.0 (1.28.3-5) unstable; urgency=low

  [ Josselin Mouette ]
  * 02_CVE-2011-0064.patch: patch from Behdad Esfahbod and Karl
    Tomlinson to fix buffer overwrite on OOM realloc failure.
    CVE-2011-0064, Mozilla #606997.
  * 01_CVE-2011-0020.patch: patch from Behdad Esfahbod to fix heap
    corruption. Closes: #610792, CVE-2011-0020. LP: #696616.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Let gir1.2-pango-1.0 also replace gir1.0-pango-1.0.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 01:09:43 +0000

pango1.0 (1.28.3-4) experimental; urgency=low

  * Switch to source format 3.0 (quilt).
  * Switch to CDBS with its awesome flavors support.
  * Stop symlinking /usr/share/doc/$pkg directories.
  * Abort the build if the test suite doesn't pass.
  * Drop defoma support since it's going away. Closes: #540984.
  * debian/libpango1.0-0.postinst.in:
    - Removed, no longer needed.
  * debian/control.in:
    - Clean up old Conflicts/Replaces.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:02:43 +0000

pango1.0 (1.28.3-3) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Add Vcs-Svn and Vcs-Browser fields

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.
  * Update to the new gir policy:
    - Rename gir1.0-pango-1.0 to gir1.2-pango-1.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 Dec 2010 19:27:45 +0100

pango1.0 (1.28.3-2) experimental; urgency=low

  * Add gir package, patch from Ubuntu. Closes: #565410.
  * debian/rules:
    + Include check-dist.mk to prevent accidental uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Nov 2010 14:55:36 +0100

pango1.0 (1.28.3-1) unstable; urgency=low

  * New upstream stable release.
    + Fixes SIGFPE in opentype renderer. Closes: #598166.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Oct 2010 23:37:45 +0200

pango1.0 (1.28.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/libpango1.0-0.symbols:
      - Update for renamed exported symbol that is not declared in any
        public header and only used internally.
  * debian/patches/10_scan-module-files-in-dirs.patch,
    debian/patches/11_module-files-append-module-files-d.patch,
    debian/patches/12_module-files-append-compat-module-files-d.patch:
    + Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Jun 2010 18:17:45 +0200

pango1.0 (1.28.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Mar 2010 09:07:17 +0200

pango1.0 (1.27.1-3) experimental; urgency=low

  * debian/control.in:
    - Bump libcairo2-dev build dependency to ensure we don't get a
      dependency on the old libcairo-directfb2-udeb.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 17 Mar 2010 07:58:08 +0100

pango1.0 (1.27.1-2) experimental; urgency=low

  [ Cyril Brulebois ]
  * Switch udeb from DirectFB to Xlib to prepare the move to an X11-based
    graphical installer. Closes: #573498.
     - Remove the --without-x flag from the udeb_configure_flags variable.
  * Bump some B-D to make sure the udeb gets proper dependencies on the
    recently added udebs:
     - libx11-dev
     - libxft-dev
  * Thanks to Julien Cristau for his initial patch.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Bump Standards-Version to 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 13 Mar 2010 19:44:35 +0100

pango1.0 (1.27.1-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Feb 2010 10:42:39 +0100

pango1.0 (1.26.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Dec 2009 10:04:01 +0100

pango1.0 (1.26.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Nov 2009 07:40:39 +0100

pango1.0 (1.26.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Sep 2009 05:28:36 +0200

pango1.0 (1.25.6-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Sep 2009 07:49:30 +0200

pango1.0 (1.25.5-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.
    + debian/rules,
      debian/libpango1.0-0.symbols:
      - Update for API additions.
  * debian/control.in:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Sep 2009 07:36:44 +0200

pango1.0 (1.24.5-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * libpango1.0-udeb is priority optional according to the override.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jul 2009 07:59:34 +0200

pango1.0 (1.24.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Jul 2009 11:36:49 +0200

pango1.0 (1.24.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/90_relibtoolize.patch:
    + Dropped, not necessary anymore.
  * debian/control.in:
    + Update Standards-Version to 3.8.2.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 20 Jun 2009 10:02:18 +0200

pango1.0 (1.24.2-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream bugfix release:
    - Be more tolerant on the "fontmap" property setting. Closes: #522675
  * debian/patches/13_pango-view-undefined-references.patch,
    debian/patches/14_gnome-panel-crash.patch:
    - Remove as applied upstream.

  [ Josselin Mouette ]
  * Add libglib2.0-doc to b-d-i to ensure proper xrefs.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/90_relibtoolize.patch:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2009 09:34:23 +0200

pango1.0 (1.24.0-4) UNRELEASED; urgency=low

  [ Josselin Mouette ]
  * Fix section for debugging package.
  * Standards version is 3.8.1.

  [ Loic Minier ]
  * Move udeb to Priority extra.
  * Drop duplicate Section/Priority fields.
  * Set opt_configure_flags to $(shared_configure_flags) in the sample opt
    flavor for armel and move the opt flavor and check flavors below the
    definition of other flags.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 Apr 2009 11:01:46 +0200

pango1.0 (1.24.0-3) unstable; urgency=low

  * debian/patches/14_gnome-panel-crash.patch:
    + Fix a crash in gnome-panel that happend because of invalid
      memory accesses in pango. Patch from upstream GIT.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Apr 2009 08:47:32 +0200

pango1.0 (1.24.0-2) unstable; urgency=low

  * Upload to unstable, this won't break any transitions because of the
    use of symbol files.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 01 Apr 2009 15:48:15 +0200

pango1.0 (1.24.0-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/90_relibtoolize.patch:
      - Updated for the new version.
    + debian/control.in:
      - Update build dependencies.
    + debian/rules,
      debian/libpango1.0-0.symbols:
      - Update for API additions.
  * debian/patches/13_pango-view-undefined-references.patch:
    + Fix linking of pango-view for the udeb.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Mar 2009 15:11:40 +0100

pango1.0 (1.22.4-3) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless --disable-static and --enable-shared flags to simplify
    configure flags.
  * Rework flavor-specific vars.
    - Introduce $(flavor) which is set to $* to clarify implicit rules.
    - Rename common_configure_flags to configure_flags.
    - Introduce the flavor_get macro to use a flavor specific override or
      fallback to the common defaults for make vars.
    - Use $(call flavor_get, ) to retrieve configure_flags, CFLAGS, and
      LDFLAGS allowing to override these per flavor; for example:
      "udeb_CFLAGS = $(CFLAGS) -Os".
  * Drop note about shared flavor being required, they all are as they are
    mentionned in the install files.
  * Move update-pangox-aliases man pages from section 1 to section 8; thanks
    jidanni@jidanni.org; closes: #512448.
  * Rewrite dh_pangomodules description; also fixes a lintian warning.
  * Add support for an optimized pass, implemented as a flavor.
    - Define a default OPTLIBDIR and replace it in the sed foo for %.in files;
      this is like LIBDIR, but with some hwcaps extension, e.g. usr/lib/vfp.
    - Add sample vars to build an optimized vfp flavor for armel with
      additional CFLAGS.
    - Add the "opt" special flavor to flavors to run the testsuites on,
      CHECK_FLAVORS.
    - Also sed and append %.opt after %.in when generating % files from %.in;
      the %.opt file is optional and only included if the opt flavor is
      included.
    - Add a debian/libpango1.0-0.install.opt which lists files from the
      optimized flavor to install in libpango1.0-0.
  * Build-dep on dpkg-dev >= 1.14.17 and drop -g -O$(if $(findstring
    noopt,$(DEB_BUILD_OPTIONS)),0,2) from CFLAGS, only keeping -Wall as honor
    the default CFLAGS.
  * dh_pangomodules: Demote warning when skipping non-existent modules dir to
    verbose_print(); use -v to see it.

  [ Sebastian Dröge ]
  * debian/libpango1.0-0.symbols,
    debian/rules:
    + Add symbols file.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Mar 2009 14:36:22 +0100

pango1.0 (1.22.4-2) unstable; urgency=low

  * Upload to unstable, remove check-dist.mk include.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Feb 2009 10:07:37 +0100

pango1.0 (1.22.4-1) experimental; urgency=low

  [ Loic Minier ]
  * Don't purge /etc/pango/pango.modules during first configuration.

  [ Josselin Mouette ]
  * New upstream release.
    + Take into account the width of CJK characters when computing the
      size of text boxes. Closes: #505780.
  * 90_relibtoolize.patch: relibtoolize to avoid the rpath issue on
    amd64.
  * dh_pangomodules.in: fix pod2man error.

 -- Josselin Mouette <joss@debian.org>  Tue, 06 Jan 2009 13:30:54 +0100

pango1.0 (1.22.3-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Replace ttf-kochi-* suggests by ttf-japanese-*.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 24 Nov 2008 08:07:32 +0100

pango1.0 (1.22.2-1) experimental; urgency=low

  [ Loic Minier ]
  * Also bump the libcairo-directfb2-dev bdep and the libcairo2-dev deps.
  * New upstream stable release; no API change; bug fixes.
    - Bump libcairo-directfb2-dev and libcairo2-dev bdeps to >= 1.7.6.

  [ Deng Xiyue ]
  * New upstream release.
    - Bump SHVERSION to 1.22.0 due to API tweak to adapt cairo-1.7.6.
  * Remove bdep on libcairo-directfb2-dev due to cairo structure changes,
    hence bump libcairo2-dev bdep to >= 1.8.2-2.
  * Target watch file to stable releases again.

  [ Sebastian Dröge ]
  * Fix dh_shlibdeps call for the udeb.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Nov 2008 09:33:19 +0100

pango1.0 (1.21.6-1) experimental; urgency=low

  * Don't hardcode the pathes to defoma-app and update-pangox-aliases in
    maintainer scripts.
  * Refresh patches 60_link-pangoxft-to-fontconfig and 70_automake and convert
    60_link-pangoxft-to-fontconfig to a -p1 level patch to support
    dpkg-source's quilt format.
  * Let libpango1.0-dev recommend debhelper for dh_pangomodules.
  * New upstream development releases; new API, API depreciations, and slights
    changes in semantics of the finalization of fontmaps.
    - Bump up bdeps to libcairo2-dev >= 1.7.4 and libglib2.0-dev >= 2.17.3.
    - Drop patch 60_link-pangoxft-to-fontconfig, fixed upstream.
    - Drop patch 70_automake, was only useful for
      60_link-pangoxft-to-fontconfig.
    - Bump shlibs version to 1.21.6.

 -- Loic Minier <lool@dooz.org>  Wed, 13 Aug 2008 16:59:28 +0200

pango1.0 (1.21.3-1) experimental; urgency=low

  [ Deng Xiyue ]
  * New upstream development release, APIs are not stable yet.
    + Update libcairo{,-directfb}2-dev dependency to >= 1.6.4 as per
      configure.in.
    + Update SHVERSION to 1.21.3.
    + Make debian/watch target development releases.

  [ Loic Minier ]
  * Target experimental and include check-dist.mk for now.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 07 Aug 2008 20:10:07 +0800

pango1.0 (1.20.5-1) unstable; urgency=low

  * New upstream release, fixing libtool versioning.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Jul 2008 15:40:16 +0200

pango1.0 (1.20.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Set doc-base section to Programming.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + Fixes crash with Linux-Libertine font (Closes: #488015, #488221, #488509).
  * debian/rules:
    + Keep shlibs version at 1.20.3 as the API wasn't extended.
  * debian/control.in:
    + Updated Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 10:32:40 +0200

pango1.0 (1.20.3-2) unstable; urgency=high

  * Link libpangoxft to fontconfig as it calls Fc* functions directly; this
    was pulled by xft in the past; GNOME #540036; thanks Lucas Nussbaum and
    Andreas Metzler; closes: #486991.
    - New patch, 60_link-pangoxft-to-fontconfig, include FONTCONFIG_CFLAGS and
      link libpangoxft to FONTCONFIG_LIBS.
    - New patch, 70_automake, refresh automake generated files.
    - Urgency high for RC bug fix.

 -- Loic Minier <lool@dooz.org>  Tue, 24 Jun 2008 22:39:24 +0200

pango1.0 (1.20.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * debian/rules: don't compress .sgml and .devhelp files.

  [ Loic Minier ]
  * Fix broken second dh_strip invocation which was not only acting on the
    udeb but also on binary packages (-s -pUDEB should have been -pUDEB).

  [ Josselin Mouette ]
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sat, 14 Jun 2008 14:46:05 +0200

pango1.0 (1.20.2-2) unstable; urgency=low

  * debian/rules:
    + Don't include the udeb in the debug package to get a working debug
      package in case the udeb libraries differ from the real ones.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Apr 2008 14:10:24 +0200

pango1.0 (1.20.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 10 Apr 2008 08:44:47 +0200

pango1.0 (1.20.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Apr 2008 07:43:17 +0200

pango1.0 (1.20.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Upload to unstable, drop check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 21:56:49 +0100

pango1.0 (1.19.4-1) experimental; urgency=low

  * New upstream release, the new API may still change incompatibly.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 07:33:04 +0100

pango1.0 (1.19.3-1) experimental; urgency=low

  * Add ${shlibs:Depends} to libpango1.0-dev; thanks Niko Tyni.
  * New upstream development release, the new API may still change
    incompatibly; API additions.
    - Update copyright for the new licensing of HarfBuzz, below
      pango/opentype.

 -- Loic Minier <lool@dooz.org>  Fri, 18 Jan 2008 11:12:28 +0100

pango1.0 (1.19.2-1) experimental; urgency=low

  * New upstream development release, the new API may still change
    incompatibly; API addition.
  * Bump up Standards-Version to 3.7.3.

 -- Loic Minier <lool@dooz.org>  Tue, 18 Dec 2007 16:25:06 +0100

pango1.0 (1.19.1-1) experimental; urgency=low

  * New upstream development release, the new API may still change
    incompatibly; no API change.
    - Drop relibtoolizing patch, 70_relibtoolize, ltmain.sh updated upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 04 Dec 2007 09:15:19 +0100

pango1.0 (1.19.0-1) experimental; urgency=low

  * New upstream release series; these are development releases, the new API
    may still change incompatibly.
    - Target at experimental; include check-dist.
    - Refresh relibtoolizing patch, 70_relibtoolize.

 -- Loic Minier <lool@dooz.org>  Tue, 30 Oct 2007 01:55:50 +0100

pango1.0 (1.18.3-1) unstable; urgency=low

  * New upstream release; no API change; bug fixes.
    - Update relibtoolizing patch, 70_relibtoolize, and move it to the end of
      the series; update instructions to use aclocal-1.10 and no -I flag.

 -- Loic Minier <lool@dooz.org>  Thu, 18 Oct 2007 16:55:44 +0200

pango1.0 (1.18.2-2) unstable; urgency=low

  * Add a relibtoolizing patch, 70_relibtoolize, to get some hurd-i386 fixes
    in libtool; GNOME #484425; closes: #445001.

 -- Loic Minier <lool@dooz.org>  Sun, 07 Oct 2007 17:56:34 +0200

pango1.0 (1.18.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Raise build dependency on libthai-dev to >= 0.1.9.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2007 11:57:50 +0200

pango1.0 (1.18.1-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream bug fix release:
    - Addresses GNOME bugs: 463430, 468953 and 470042

  [ Loic Minier ]
  * Upload to unstable; drop check-dist include.

 -- Loic Minier <lool@dooz.org>  Sun, 02 Sep 2007 19:56:43 +0200

pango1.0 (1.18.0-1) experimental; urgency=low

  * New upstream major stable release; no API change.
    - Bump up libglib2.0-dev build-dep to >= 2.14.0.

 -- Loic Minier <lool@dooz.org>  Tue, 21 Aug 2007 11:25:15 +0200

pango1.0 (1.17.5-1) experimental; urgency=low

  * New upstream development release; minor API change in the new API.
  * Cleanups; set warnings in update-pangox-aliases (Perl).
  * Drop /usr/share/doc/libpango1.0-doc/pango/pango during the postinst of
    libpango1.0-doc if it's a symlink; should be dropped after lenny;
    closes: #430040.

 -- Loic Minier <lool@dooz.org>  Mon, 30 Jul 2007 20:50:58 +0200

pango1.0 (1.17.4-3) experimental; urgency=high

  * Strip the RPATH of libs and modules built in the udeb as these confuse
    dh_shlibdeps on 64-bits arches where a spurious /usr/lib RPATH is added
    (because of the /usr/lib versus /usr/lib64 issue); build-dep on chrpath;
    thanks a lot to Frans Pop for discussion; closes: #432258.

 -- Loic Minier <lool@dooz.org>  Mon, 16 Jul 2007 00:04:48 +0200

pango1.0 (1.17.4-2) experimental; urgency=high

  * Call dh_shlibdeps separately for the udeb and add a
    -l/usr/lib/libcairo-directfb/lib/ flag to ensure libcairo-directfb2 is
    found; thanks Frans Pop; closes: #432258.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 16:28:00 +0200

pango1.0 (1.17.4-1) experimental; urgency=low

  * New upstream development release; no API change.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Mon, 02 Jul 2007 22:29:51 +0200

pango1.0 (1.17.3-1) experimental; urgency=low

  * New upstream development release; with API additions.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Jun 2007 10:26:23 +0200

pango1.0 (1.17.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Whoops. Re-commit some things that were uploaded as part of 1.16.2-2
    but not committed.

  [ Loic Minier ]
  * Use printf instead of echo in dh_gtkmodules to write to write data to
    files in complex_doit() calls as dash's echo will always honor escape
    sequences.
  * New upstream release series; these are development releases, the new API
    may still change incompatibly.
    - Target at experimental; include check-dist.
    - Drop patch 21_malayalam-rendering, merged upstream.
  * Build-dep on libcairo-directfb2-dev; thanks Frans Pop; doh!

 -- Loic Minier <lool@dooz.org>  Wed, 11 Jul 2007 21:15:08 +0200

pango1.0 (1.16.4-1) unstable; urgency=low

  * Drop "libtool_is_fool" snippet patching hardcode_libdir_flag_spec and
    archive_cmds which is probably dangerous with newer libtools.
  * Let the udeb Provide on the special modver ABI tag.
  * New upstream releases; no API change.
  * Also honor parallel=n in DEB_BUILD_OPTIONS.

 -- Loic Minier <lool@dooz.org>  Tue, 08 May 2007 10:54:01 +0200

pango1.0 (1.16.2-2) unstable; urgency=low

  * dh_pangomodules.in: add a "-k" option to avoid generating the
    dependencies.
  * rules: use it for libpango1.0-0 and libpango1.0-udeb to avoid a
    self-dependency for the former, and an impossible dependency for the
    latter (closes: #419593).
  * rules: remove the pango-thai-lang module, as it introduces too many
    dependencies for the udeb (closes: #419595).
  * Fix the incorrect libpango1.0-common -> libpango1.0-0 documentation
    link.
    + Install docs in libpango1.0-common instead.
    + Reverse the symlink.
    + libpango1.0-common.preinst.in: remove the old symlink.
    + libpango1.0-0.postinst.in: create the new one.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Apr 2007 20:53:39 +0200

pango1.0 (1.16.2-1) unstable; urgency=low

  * Fix control generation.
  * Include the new uploaders.mk from gnome-pkg-tools instead of duplicating
    its logic; build-dep on gnome-pkg-tools >= 0.11.
  * Run "make check" test suite for the shared flavor except if
    DEB_BUILD_OPTIONS contains the "nocheck" keyword; ignore failures.
  * Add support for DEB_BUILD_OPTIONS_PARALLEL.
  * Upload to unstable; drop check-dist include.
  * New upstream stable release; no API change.
  * Wrap build-deps and deps.
  * Add ${misc:Depends}.
  * Add hint for vim that debian/pango.defoma is Perl.
  * Set sane default CFLAGS; pass debian/rules' CFLAGS and LDFLAGS to
    configure, doh!
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Sat, 14 Apr 2007 16:30:10 +0200

pango1.0 (1.16.1-1) experimental; urgency=low

  * Drop TOP_SRC_DIR from rules.
  * Make debian/control PHONY.
  * Mist cleanups; remove some useless mkdirs.
  * Tune udeb description.
  * New upstream release.
    - Drop patch 30_included-libthai-link-libthai, merged upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 13 Mar 2007 15:00:31 +0100

pango1.0 (1.16.0-1) experimental; urgency=low

  * New upstream releases, new upstream branch, with API additions and a new
    new module ABI version (1.6.0).
    - Bump up libcairo2-dev build-deps and dep to >= 1.2.6.
    - Bump up libglib2.0-dev build-deps and dep to >= 2.12.0.
    - Drop patch 20_fix-fontconfig-fcmatch, fixed upstream.
    - Update patch 21_malayalam-rendering with respect to indentation.
    - Update patch 30_included-libthai-link-libthai with an automake-1.9 run.
    - Refresh patches 10_scan-module-files-in-dirs,
      11_module-files-append-module-files-d,
      12_module-files-append-compat-module-files-d.
    - Bump up MODVER to 1.6.0.
  * Revert to libthai-dev instead of libthai0-dev.
  * Move build and install base dirs to debian/build and debian/install
    instead of debian/tmp/build and debian/tmp/install.

 -- Loic Minier <lool@dooz.org>  Wed,  7 Mar 2007 11:42:58 +0100

pango1.0 (1.14.10-1) experimental; urgency=low

  * Remove .pc during clean.
  * New upstream releases; no API change.
    - Target at experimental.
    - Include the new check-dist Makefile to prevent accidental uploads to
      unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
    - Build-depend on libthai0-dev (>= 0.1.7).
    - Update patch 21_malayalam-rendering as some changes were not merged
      upstream.
    - New patch, 30_included-libthai-link-libthai, fixes the static build of
      the thai lang module which wasn't linked to libthai; GNOME #414297.
    - Let libpango1.0-0 conflict with pango-libthai as the thai lang module is
      now in this package.

 -- Loic Minier <lool@dooz.org>  Sat,  3 Mar 2007 18:02:25 +0100

pango1.0 (1.14.8-5) unstable; urgency=low

  * Use /usr/lib/$(DEB_HOST_GNU_TYPE) instead of /usr/$(DEB_HOST_GNU_TYPE)/lib
    for multiarch builds.
  * Add a get-orig-source target to retrieve the upstream tarball.
  * New patch, 12_module-files-append-compat-module-files-d, for the embedded
    copy of the binary packages in ia32-libs-gtk, uses
    /usr/lib32/pango/<MODULE_VERSION>/module-files.d (respectively
    /usr/lib64/pango/<MODULE_VERSION>/module-files.d) instead of
    /usr/lib/pango/<MODULE_VERSION>/module-files.d on i386 (respectively amd64
    and ia64) if present; see #406455.

 -- Loic Minier <lool@dooz.org>  Sun, 14 Jan 2007 21:31:37 +0100

pango1.0 (1.14.8-4) unstable; urgency=medium

  [ Loic Minier ]
  * Let libpango1.0-dev suggest imagemagick for "convert" which might be used
    in pango-view; thanks Davide Viti; closes: #404313.

  [ Josselin Mouette ]
  * 21_malayalam-rendering.patch: patch from Praveen A to fix Malayalam
    rendering (closes: #404727).

 -- Josselin Mouette <joss@debian.org>  Fri, 29 Dec 2006 00:26:19 +0100

pango1.0 (1.14.8-3) unstable; urgency=medium

  * New patch, 20_fix-fontconfig-fcmatch, to fix the match pattern prior to
    FcFontMatch(); thanks Eugeniy Meshcheryako; closes: #401924.

 -- Loic Minier <lool@dooz.org>  Fri, 15 Dec 2006 10:47:12 +0100

pango1.0 (1.14.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Thu, 23 Nov 2006 16:51:22 +0100

pango1.0 (1.14.8-1) experimental; urgency=low

  * New upstream stable release; no API change; thread-safety fix (but pango
    is not thread-safe), minor bug fixes and cleanups.
    - Target at experimental for now.

 -- Loic Minier <lool@dooz.org>  Tue, 21 Nov 2006 11:09:04 +0100

pango1.0 (1.14.7-1) unstable; urgency=low

  * New upstream releases; no API change.

 -- Loic Minier <lool@dooz.org>  Fri, 13 Oct 2006 11:02:25 +0200

pango1.0 (1.14.5-1) unstable; urgency=medium

  * Fix some probably harmless typos.
  * New upstream release; no API change.
    - Switch from tar-in-tar and sys-build to regular source and quilt
      patching; build-depend on quilt; set TOP_SRC_DIR to ".".
  * Create the stampdir if necessary before writing stamps.
  * Recommends libpango1.0-0, not libpango1.0; thanks Luk Claes;
    closes: #391141.
  * Backup config.guess and .sub after patching.
  * Drop the old module files handling.
    - Drop update-pango-modules and man pages.
    - Conflict with packages using update-pango-modules in the past, i.e.
      pango-libthai (<< 0.1.6-2).
    - Delete /etc/pango/pango.modules on upgrades of libpango1.0-common.
  * Ship pango-querymodules, pango-view, and their man pages in
    libpango1.0-dev instead of -common; add conflicts/replaces.
  * Switch libpango1.0-common to Arch: all.
    - Build-depend on dpkg-dev >= 1.13.19.
    - Use >= ${source:Version} instead of ${Source-Version} for references to
      libpango1.0-common.
    - List COMMON_PKG in BINARY_INDEP_PKGS instead of BINARY_ARCH_PKGS.
    - Update dh_* calls.
    - Drop ${shlibs:Depends} dep.
    - Does not depend on libpango1.0-0 anymore, really fixes circular
      dependency instead of working around it; see #309437.
  * Remove the useless $PangoAliases from update-pangox-aliases.
  * Centralize the definition of LIBDIR in debian/rules; defaults to
    "usr/lib".
  * Cleanup obsolete description of debug package.
  * Multiarch support: building with multiarch in DEB_BUILD_OPTIONS will set
    LIBDIR and PANGO_MODVER_DEP for multiarch; closes: #372508.
  * Use ${binary:Version} instead of ${Source-Version} for consistency.
  * Drop usage of Debconf; always use Defoma; closes: #308933, #330928.
  * Cleanup maintainer scripts.

 -- Loic Minier <lool@dooz.org>  Thu,  5 Oct 2006 14:11:00 +0200

pango1.0 (1.14.4-2) unstable; urgency=low

  * Install older ChangeLogs as well.
  * Re-add update-pango-modules call in postinst during the mini-transition to
    dh_pangomodules; remove warnings for now.
  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Sun, 24 Sep 2006 18:05:53 +0200

pango1.0 (1.14.4-1) experimental; urgency=low

  * New upstream releases; no API change.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Sep 2006 18:52:52 +0200

pango1.0 (1.14.0-1) experimental; urgency=low

  * New upstream releases, with API additions.
    - Target at experimental.
    - Drop patch 10_allow-empty-gpos-table, merged upstream.
    - shlibs bumped (follow upstream version).
    - Run debconf-updatepo.
  * Merge 1.12.3-2.
  * Bump up Standards-Version to 3.7.2.
  * New module files handling with *.modules files below
    /usr/lib/pango/<MODULE_VERSION>/module-files.d.
    - New patch, 10_scan-module-files-in-dirs, to read all *.modules files
      when a directory is encountered in the Pango/ModuleFiles configuration
      or in the default module search path.  Forwarded in GNOME #355985.
    - New patch, 11_module-files-append-module-files-d.patch, to append
      /usr/lib/pango/<MODULE_VERSION>/module-files.d to the list of module
      files to load modules from.  Forwarded in GNOME #355985.
    - Create a /usr/lib/pango/<MODULE_VERSION>/module-files.d/pango1.0.modules
      instead of /etc/pango/pango.modules in install-udeb and add a similar
      snippet in install-shared.
    - Remove the update-pango-modules call from postinst.
    - Warn of usage of update-pango-modules; the rest of the script is kept
      intact for backwards compatibility during the transition and presumably
      until the next Debian release.
    - Fixes usage of Pango in a Debconf frontend just after Pango is unpacked
      but before it is configured; this is Ubuntu #41297 but the fix is
      different.
    - Paves the way for multiarch support.
  * Define the flags for each flavor (shared, static, and udeb) in Makefile
    vars and share the common flags.
  * Rewrite rule inter-dependencies to handle the udeb flavor equally as the
    two others; misc cleanups.
  * Drop very old find snippet which rmdired all directories below debian/; it
    exists since before history tells us and breaks the build.
  * Make BUILD_ directories absolute.
  * Build flavors out-of-tree; saves 30% of required build space (28 MB) and
    some build time / IO load; this also seems to make filenames printed in
    assertions or other warnings to be the full pathname of files during the
    build.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Stop shipping *.la and *.a files of modules.
  * Rewrite most of the build process to be simpler and share the code section
    which permit it.
  * Misc cleanups.
  * Generate a Provides: pango1.0-modver-@MODVER@ in libpango1.0-@SONAME@ to
    track the module version of Pango and to permit Pango modules to depend on
    it.
  * New Debhelper-based command, dh_pangomodules, to create a Pango Module
    file for all Pango modules.
  * Make use of the new dh_pangomodules during the build (override the path to
    pango-querymodules).
  * Make dh_pangomodules support dependency generation as well: if at least
    one Pango module was found, add the current Pango module version virtual
    provide to ${misc:Depends}.
  * Use PANGO_MODVER_DEP instead of MODVER.
  * Cleanup update-pango-modules.
  * Install a man page for dh_pangomodules.
  * Rewrite the other half of the build process, for my own sanity.
  * Drop the debhelper dependency.
  * Upgrade libpango-doc's Suggests: libglib2.0-doc to a Recommends.
  * New shlibs handling for inter-dependencies; avoids the shlibs
    self-dependencies for the shared package and the udeb, and requires manual
    handling of inter-dependencies; helps working around the circular
    dependencies, #309437.
  * Let libpango1.0-common Recommend libpango1.0-0 instead of Depending on it
    as it did in the past, since the update-pango-modules may now fail without
    consequences (update-pango-aliases doesn't require libpango at all).
    (Closes: #309437)
  * Empty the dependency_libs in the *.la files of libpango1.0-dev.
  * More build cleanups and simplifications.
  * Move PANGO_MODVER_DEP at the top of dh_pangomodules.in.
  * Update patch 11_module-files-append-module-files-d to use
    G_SEARCHPATH_SEPARATOR_S and g_strjoin.
  * Merge 1.12.4-1.
  * Add missing dh_installdirs call and re-add /etc/pango to
    libpango1.0-common since it's still needed.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Sep 2006 09:25:20 +0200

pango1.0 (1.13.2-1) experimental; urgency=low

  * New upstream version
  * debian/control.in:
    - require cairo 1.1.2
  * debian/watch:
    - updated

 -- Sebastien Bacher <seb128@debian.org>  Mon,  3 Jul 2006 15:03:53 +0200

pango1.0 (1.12.4-1) unstable; urgency=low

  * New upstram release; no API changes.
    - Drop patch 10_allow-empty-gpos-table.patch, merged upstream.

 -- Loic Minier <lool@dooz.org>  Sat, 16 Sep 2006 23:29:34 +0200

pango1.0 (1.12.3-2) unstable; urgency=low

  [ Oystein Gisnas ]
  * debian/watch:
    - Update watch file
  * debian/copyright:
    - Update source location

  [ Loic Minier ]
  * New patch, 10_allow-empty-gpos-table, to allow an empty GPOS table, should
    prevent warnings reported in Debian #377944, thanks John Wright; included
    in upstream CVS and in >= 1.13.4 releases.
  * Add Russian Debconf templates translation, thanks Yuri Kozlov.
    (Closes: #380131)
  * Sort modules in update-pango-modules(.in), as requested by Daniel Glassey.
    (Closes: #341463)

 -- Loic Minier <lool@dooz.org>  Thu, 17 Aug 2006 19:55:45 +0200

pango1.0 (1.12.3-1) unstable; urgency=low

  * New upstream version:
    - Increased robustness against broken pango.modules
    - Improved build infrastructure:
      Remove CAIRO_CFLAGS from pangocairo.pc.in, as it Require's cairo already.
    - Improved documentation.
    - Misc fixes.
    Bugs fixed in this release:
    - With PangoFc and PangoWin32, approximate digit width is not what it says
    - Pango needlessly falls back away from a Type 1 font into a TTF font
    - pango should handle more characters as zero width
    - pango_glyph_string_extents_range possible bug
    - Unhinted fonts are measured incorrectly and
      drawing problems occur as a result

 -- Sebastien Bacher <seb128@debian.org>  Sat, 27 May 2006 13:59:43 +0200

pango1.0 (1.12.1-3) unstable; urgency=low

  * debian/compat:
    - updated
  * debian/control.in, debian/rules:
    - patch by Frans Pop <aragorn@tiscali.nl>
    - add --add-udeb option for dh_makeshlibs which autogenerates the
      udeb: lines for the shlibs file (Closes: #365293)
    - this requires debhelper 5.0.22
    - drop the Provides: libpango1.0-@SONAME@
    - add a temporary hack in debian/rules to create a correct dependency on
      libcairo2-directfb-udeb
  * debian/po/gl.po:
    - Galician translation by Jacobo Tarrio <jtarrio@trasno.net>
      (Closes: #361268)
  * debian/rules:
    - updated the -dbg package name to work with the new compat

 -- Sebastien Bacher <seb128@debian.org>  Sat,  6 May 2006 15:19:52 +0200

pango1.0 (1.12.1-2) unstable; urgency=low

  * debian/control.in:
    - Build-Depends on new libx11-dev to workaround xrender not doing that
    - require the new libxrender version
  * debian/rules:
    - use "-plibpango$(apiver)-udeb" for udeb build, doesn't run dh_strip when
      not required

 -- Sebastien Bacher <seb128@debian.org>  Thu, 13 Apr 2006 22:22:38 +0200

pango1.0 (1.12.1-1) unstable; urgency=low

  * New upstream version:
    - Fix non-OpenType fonts losing kerning in 1.12.0
    - Fix blurred underlines on Win32 [#332656, Tor Lillqvist]
    - Build fix when having both Win32 and FreeType cairo backends available
    - Bugs fixed in this release: 334802,336026,332656,337502
  * debian/control.in:
    - Renamed the debug package, Conflicts,Replaces with the previous one
  * debian/rules:
    - use dh_strip to make the debug package so it works automagically with gdb
    - use the same regexp than glib to get the version,
      fix the issue with binNMU (Closes: #358127)

 -- Sebastien Bacher <seb128@debian.org>  Sat,  8 Apr 2006 00:41:25 +0200

pango1.0 (1.12.0-2) unstable; urgency=low

  * debian/rules: set modver to 1.5.0 (closes: #356661, #357981).

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 Mar 2006 19:04:16 +0100

pango1.0 (1.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Bump glib build and runtime dependencies again.
  * debian/watch: use download.gnome.org and look in the 2.12 directory.

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Mar 2006 12:11:29 +0100

pango1.0 (1.11.99-1) experimental; urgency=low

  * New upstream development release.
  * [debian/control.in] Bumped glib build and runtime dependencies per
    configure.in .
  * [debian/docs.in] Remove TODO from list as it is no longer present
    upstream.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 11 Mar 2006 14:39:21 +0100

pango1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream release (crasher assertion fixed).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 27 Feb 2006 23:38:22 +0100

pango1.0 (1.10.3-1) unstable; urgency=low

  * New upstream release (various documentation improvements, achieving
  100% symbol coverage; minor bug fixes).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  6 Feb 2006 20:40:36 +0100

pango1.0 (1.10.2-1) unstable; urgency=low

  * New upstream release (mostly bugfixes and documentation updates).
  * [debian/rules] Ensure the build aborts when there are still references
    to undefined symbols; make the linker work a bit harder so dynamic
    loading can be done faster.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  7 Jan 2006 10:08:56 +0100

pango1.0 (1.10.1-2) unstable; urgency=low

  * Upload to unstable
  * debian/po/sv.po:
    - Swedish translation by Daniel Nylander <yeager@lidkoping.net>
      (Closes: #338667)
  * debian/rules:
    - use debconf-updatepo instead of deconf2po-update

  [ Loic Minier ]
  * Remove xlibs-dev deps and build-deps.
    [debian/control, debian/control.in]

 -- Sebastien Bacher <seb128@debian.org>  Thu, 15 Dec 2005 14:37:53 +0100

pango1.0 (1.10.1-1) experimental; urgency=low

  * New upstream version.
  * debian/control.in:
    - Build-Depends/Depends on libcairo.
  * debian/patches/buildfix.patch,
    debian/patches/pango-attr-list-splice-fix.patch:
    - fixed with the new version.
  * debian/po/vi.po:
    - Vietnamese translation by Clytie Siddall <clytie@riverland.net.au>
      (Closes: #316697).
  * debian/rules:
    - fixed the clean rule (Closes: #332504).
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 17 Oct 2005 14:10:22 +0200

pango1.0 (1.8.2-3) unstable; urgency=high

  * Urgency high because of RC bug fix.
  * Add "XC-Package-Type: udeb" to the udeb package and build-depend on
    debhelper >= 4.9.12, patch by Frans Pop. (Closes: #331434)
    [debian/control.in, debian/control]
  * Depend on "debconf | debconf-2.0". (Closes: #332059) [debian/control.in,
    debian/control]
  * Templates German translation by Jens <nachtigall at web.de>.
    (Closes: #330926) [debian/po/de.po]
  * Templates Danish translation by Claus Hindsgaul <claus_h at image.dk>
    (Closes: #320802) [debian/po/da.po]

 -- Loic Minier <lool@dooz.org>  Thu,  6 Oct 2005 22:04:44 +0200

pango1.0 (1.8.2-2) unstable; urgency=medium

  * Add patch from CVS to fix an important bug in pango_attr_list_splice, see
    <http://bugzilla.gnome.org/show_bug.cgi?id=316054>. (Closes: #328091)
    [debian/patches/pango-attr-list-splice-fix.patch]
  * Update FSF address. [debian/copyright]
  * Bump Standards-Version to 3.6.2. [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri, 16 Sep 2005 16:23:20 +0200

pango1.0 (1.8.2-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/buildfix.patch:
    - fix a build issue.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 29 Jul 2005 23:46:40 +0200

pango1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * [debian/scripts/vars, debian/sources] Updated for new upstream release.
  * [debian/patches/absolute-attribute.diff] Removed; this is now handled
    upstream in a different way.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  6 Mar 2005 09:53:11 +0100

pango1.0 (1.8.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - set myself as maintainer.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 31 Jan 2005 12:34:51 +0100

pango1.0 (1.8.0-2) experimental; urgency=low

  * debian/patches/absolute-attribute.diff:
    - patch to fix absolute fonts (Closes: #289021).

 -- Sebastien Bacher <seb128@debian.org>  Fri,  7 Jan 2005 11:27:16 +0100

pango1.0 (1.8.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - updated the Build-Depends.
  * debian/po/cs.po:
    - Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (Closes: #283224).
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 29 Dec 2004 17:45:00 +0100

pango1.0 (1.6.0-3) unstable; urgency=low

  * debian/rules:
    - set modver to 1.4.0 (Closes: #281806).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 23 Nov 2004 18:35:04 +0100

pango1.0 (1.6.0-2) unstable; urgency=low

  * GNOME team upload.
  * J.H.M. Dassen (Ray):
    - [debian/rules] Changes from trunk:
      + Derive "modver" value from "major" and "minor" rather than have it
        hardwired.
    - Fixed udeb name for the Hurd.
  * Colin Watson <cjwatson@debian.org> (#274092):
    - binary-arch depends on binary-arch-udeb.
    - Strip udeb!
  * Jordi Mallach:
    - Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Nov 2004 14:41:32 +0100

pango1.0 (1.6.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 14 Sep 2004 21:37:45 +0200

pango1.0 (1.5.2-1) experimental; urgency=low

  * New upstream development release.
  * [debian/pango.defoma] Fixed logic.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  7 Aug 2004 10:37:12 +0200

pango1.0 (1.5.0-2) experimental; urgency=low

  * debian/rules:
    - modversion is still 1.4.0 since there is not compatibility breakage
      for the moment.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  2 Jul 2004 11:49:31 +0200

pango1.0 (1.5.0-1) experimental; urgency=low

  * New development upstream release.
  * debian/watch: Updated to the unstable branch.
  * debian/pango.defoma: Use patch by Flavio Stanchina
    <flavio.stanchina@tin.it> to fix perl warnings in the defoma
    script. Thanks for the patch! (Closes: #256335)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jun 2004 13:17:02 +0200

pango1.0 (1.4.0-4) unstable; urgency=high

  * debian/rules:
    + reverted previous change to fix the breakages on ia64 and alpha
      (Closes: #252401).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 15:39:56 +0200

pango1.0 (1.4.0-3) unstable; urgency=low

  * GNOME Team Upload.
  * Upload to unstable (Closes: #238663).
  * Akira TAGOH <tagoh@debian.org>
  + backport from 1.2.5-4
  + debian/pango.defoma:
    - fixed to avoid the regex fails due to unquoted strings.
  + po/tr.po:
    - added Turkish translation.
  * J.H.M. Dassen (Ray) <jdassen@debian.org>:
  + debian/rules: Make the linker work a bit harder so dynamic loading can be
    done faster; safety measure: ensure the build aborts when the library
    still has references to undefined symbols.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 14:52:43 +0200

pango1.0 (1.4.0-2) experimental; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  + backport from 1.2.5-3
    - po/nl.po: added Dutch translation.
    - debian/control: fixed the dependencies for the separated xlibs-dev.
    - debian/rules: don't specify the modules for --with-included-modules for
      the static build. that bug was already gone.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 20 Apr 2004 00:23:25 +0900

pango1.0 (1.4.0-1) experimental; urgency=low

  * New upstream release (Closes: #238663).
  * debian/pango-querymodules.1:
    + removed since included in the new upstream release.
  * debian/patches/000_pango1.0-1.2.5-fix-thai-sharper.patch:
    + removed.
  * debian/patches/001_new_freetype_build_system.patch:
    + removed.
  * debian/rules:
     - don't claim the newer shlibs.
     - updated modules list.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 18 Mar 2004 21:07:49 +0100

pango1.0 (1.2.5-5) unstable; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  + debian/pango.defoma:
    - fixed to avoid the regex fails due to unquoted strings.
      Thanks to Flavio Stanchina <flavio.stanchina@tin.it>
      (closes: Bug#247198)
  + po/tr.po:
    - added Turkish translation. (closes: Bug#246079)
      Thanks to Gürkan Aslan <gurkan@iaslan.com>

 -- Akira TAGOH <tagoh@debian.org>  Mon, 10 May 2004 02:34:54 +0900

pango1.0 (1.2.5-3) unstable; urgency=low

  * Ack to NMU (closes: Bug#221431, Bug#220988)
  * po/nl.po: added Dutch translation.
    thanks to Luk Claes <luk.claes@ugent.be> (closes: Bug#244321)
  * debian/control: updated the dependencies for separated xlibs-dev.
    thanks to Kevin B. McCarty <kmccarty@Princeton.EDU> (closes: Bug#241505)

 -- Akira TAGOH <tagoh@debian.org>  Mon, 19 Apr 2004 23:28:36 +0900

pango1.0 (1.2.5-2.1) unstable; urgency=high

  * NMU
  * [debian/patches/001_new_freetype_build_system.patch] New, needed to work
    with freetype 2.1.7. (Closes: #220988)
  * [debian/control.in, debian/control] Bumped the freetype build dependency.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 18 Nov 2003 10:17:51 +0100

pango1.0 (1.2.5-2) unstable; urgency=low

  * acknowledge to NMU. (closes: Bug#216003, Bug#216091)
  * debian/control:
    - added Uploaders to maintain as team.
    - added gnome-pkg-tools to Build-Depends.
  * debian/rules:
    - modified to generate debian/control using gnome-pkg-tools.
  * debian/patches/000_pango1.0-1.2.5-fix-thai-sharper.patch:
    - applied a patch to fix displaying always hexadecimal glyphs when using
      Thai sharper. (closes: Bug#210557)

 -- Akira TAGOH <tagoh@debian.org>  Sat, 25 Oct 2003 04:16:52 +0900

pango1.0 (1.2.5-1.1) unstable; urgency=medium

  * NMU
  * [debian/control.in] Follow the libxft2-dev -> libxft-dev renaming to
    become installable again. (Closes: #216003)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 16 Oct 2003 09:39:38 +0200

pango1.0 (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/README.Debian:
    - moved some notices from libpango1.0-common.templetes.
      (closes: Bug#206266)
  * debian/control:
    - bumped Standards-Version to 3.6.1.0.
  * debian/rules:
    - removed dh_undocumented.
  * debian/po/pt_BR.po:
    - updated Brazilian Portuguese translation from Andre Luis Lopes.
      (closes: Bug#208037)

 -- Akira TAGOH <tagoh@debian.org>  Sun,  7 Sep 2003 19:21:40 +0900

pango1.0 (1.2.3-1) unstable; urgency=low

  * New upstream release. (closes: Bug#199965)
  * debian/patches/:
    - 000_pango-1.2.1-coverage-off-by-one.patch: removed.
    - 000_pango1.0-1.2.1-dont_check_xft_if_without_x.patch: removed.
  * debian/update-pangox-aliases:
    - fix typo. (closes: Bug#199208)
  * debian/pango.defoma:
    - fix typo.
  * debian/rules:
    - don't claim the newer shlibs.
    - don't statically link thai-ft2 module so that it's broken.
  * debian/scripts/lib:
    - redirect the echo back of cd command to /dev/null. (closes: Bug#199876)
  * debian/pango-querymodules.1:
    - added.

 -- Akira TAGOH <tagoh@debian.org>  Sun,  6 Jul 2003 09:58:36 +0900

pango1.0 (1.2.1-4) unstable; urgency=low

  * debian/libpango1.0-common.templates:
    - fix typo. Thanks to Philippe Batailler <philippe.batailler@free.fr>
  * debian/po/fr.po:
    - add French translation. Philippe Batailler. (closes: Bug#188886)
  * debian/control:
    - bumped Standards-Version to 3.5.10.0.
    - changed the sections for libpango1.0-dev and libpango1.0-dbg to
      libdevel.
  * debian/compat:
    - use it instead of DH_COMPAT.
  * debian/patches/000_pango-1.2.1-coverage-off-by-one.patch:
    - applied a backport patch to fix off-by-one error. Thanks Roger So for
      this notification. (closes: Bug#194661)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 27 May 2003 02:52:56 +0900

pango1.0 (1.2.1-3) unstable; urgency=low

  * build against the latest fontconfig. 2.1.90-1 was broken.
    (closes: Bug#183389)
  * debian/control:
    - update Build-Depends.
    - rename libpango1.0-0-udeb to libpango1.0-udeb.
    - delete Depends: libpango1.0-common for libpango1.0-udeb.
      (closes: Bug#183748)
    - add Provides: libpango1.0-0 for libpango1.0-udeb.
  * debian/rules:
    - doh! fixed the symlinks on /usr/share/gtk-doc/html (closes: Bug#183503)
    - bumped DH_COMPAT to 4.
  * debian/libpango1.0-udeb.files:
    - contain the files in libpango1.0-common package to libpango1.0-udeb.
      (closes: Bug#183746)
  * debian/po/pt_BR.po:
    - add Brazilian Portuguese translation from Andre Luis Lopes
      <andrelop@ig.com.br> (closes: Bug#183431)

 -- Akira TAGOH <tagoh@debian.org>  Sat,  8 Mar 2003 16:53:44 +0900

pango1.0 (1.2.1-2) unstable; urgency=low

  * debian/control:
    - drop ", for the debian-installer" from description of libpango1.0-0-udeb.
      (closes: Bug#180155)
    - add po-debconf to Build-Depends.
    - update Build-Depends for debhelper.
  * debian/rules:
    - create the symlinks on /usr/share/gtk-doc
  * support po-debconf.

 -- Akira TAGOH <tagoh@debian.org>  Tue,  4 Mar 2003 02:34:08 +0900

pango1.0 (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - according to Michael Cardenas <mbc@debian.org>, create
      libpango1.0-0-udeb.
    - add autotools-dev to Build-Depends.
  * debian/rules:
    - modified to create udeb without X support.
    - remove the old debug libraries on install process if exists.
  * debian/patches/000_pango1.0-1.2.1-dont_check_xft_if_without_x.patch:
    applied to fix the build-without-x stuff.

 -- Akira TAGOH <tagoh@debian.org>  Tue,  4 Feb 2003 23:55:50 +0900

pango1.0 (1.2.0-3) unstable; urgency=low

  * debian/control:
    updated Build-Depends to fix the dependency issue. (closes: Bug#176034)

 -- Akira TAGOH <tagoh@debian.org>  Sat, 11 Jan 2003 03:51:51 +0900

pango1.0 (1.2.0-2) unstable; urgency=low

  * debian/control:
    - added dependency of libpango1.0-common. (closes: Bug#175838)
    - removed libpango-common package. it's no longer needed. I hope the loop
      dependency will be disappeared.

 -- Akira TAGOH <tagoh@debian.org>  Thu,  9 Jan 2003 23:54:30 +0900

pango1.0 (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/000_pango1.0-1.0.5-fixbuild-libtool.patch:
    removed. it should be no longer needed.
  * debian/libpango1.0-common.templates{,.ja}: updated.
  * debian/libpango1.0-common.config: notice changed default renderer.
  * debian/README.Debian: updated.
  * debian/control: updated Build-Depends.
  * debian/xftconfig.sample: removed.

 -- Akira TAGOH <tagoh@debian.org>  Sun,  5 Jan 2003 23:13:46 +0900

pango1.0 (1.0.5-4) unstable; urgency=low

  * debian/patches/000_pango1.0-1.0.5-fixbuild-libtool.patch:
    applied to fix the build issue on mips and mipsel. (closes: Bug#172416)
  * debian/copyright:
    fix copyright-lists-upstream-authors-with-dh_make-boilerplate issue.
  * debian/control:
    - bumped Standards-Version to 3.5.8.
    - updated Build-Depends.
  * debian/rules:
    modified to build the static libraries. (closes: Bug#161937)
  * debian/README.Debian:
    updated the static-linked program issue.

 -- Akira TAGOH <tagoh@debian.org>  Thu, 12 Dec 2002 02:17:56 +0900

pango1.0 (1.0.5-3) unstable; urgency=low

  * debian/xftconfig.sample: add .xftconfig sample file.

 -- Akira TAGOH <tagoh@debian.org>  Fri, 25 Oct 2002 02:40:54 +0900

pango1.0 (1.0.5-2) unstable; urgency=low

  * debian/pango.defoma: uses the wild cards instead of all iso8859-x entries.
  * debian/README.Debian: update about static libraries issue.
  * debian/control: add 'libpango1.0-common Recommends: x-ttcidfont-conf'. If
    you decided defoma manages /etc/pango/pangox.aliases file, you need to
    install x-ttcidfont-conf.

 -- Akira TAGOH <tagoh@debian.org>  Fri, 25 Oct 2002 00:38:46 +0900

pango1.0 (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/README.Defoma: improved the documentation. Thanks Jim W. Jaszewski.
  * debian/control: bumped Standards-Version to 3.5.7.
  * debian/rules: support noopt for DEB_BUILD_OPTIONS.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 16 Oct 2002 00:38:06 +0900

pango1.0 (1.0.4-2) unstable; urgency=low

  * debian/update-pango-modules.fr.1: added. Thanks Julien Louis.
  * debian/update-pangox-aliases.fr.1: (closes: Bug#156989)
  * debian/control:
    - bumped Standards-Version and depends debhelper (>> 4).
    - add libglib2.0-doc to Suggests for -doc.
  * debian/rules:
    - add symlink to fix the missing symlink for glib, gobject. (closes:
      Bug#158721)

 -- Akira TAGOH <tagoh@debian.org>  Sat, 31 Aug 2002 11:27:48 +0900

pango1.0 (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - needs to be re-ran xftcache and should be fixed by the upstream. see
      http://bugzilla.gnome.org/show_bug.cgi?id=86911 for more details.
      (closes: Bug#154985)

 -- Akira TAGOH <tagoh@debian.org>  Sun,  4 Aug 2002 18:08:10 +0900

pango1.0 (1.0.3-3) unstable; urgency=low

  * debian/libpango1.0-doc.doc-base: add a new line before Format: (closes:
    Bug#152928)
  * debian/libpango1.0-common.postinst: fix the creating pangox.aliases issue.
    (closes: Bug#152806)

 -- Akira TAGOH <tagoh@debian.org>  Mon, 15 Jul 2002 00:11:29 +0900

pango1.0 (1.0.3-2) unstable; urgency=low

  * Build against the latest libfreetype6
  * debian/control: changed a summary from 'Dummy' to 'Empty'.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 18 Jun 2002 02:04:37 +0900

pango1.0 (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Sun, 16 Jun 2002 04:09:09 +0900

pango1.0 (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 29 May 2002 01:48:35 +0900

pango1.0 (1.0.1-4) unstable; urgency=low

  * debian/pango.defoma:
    - s/_/ / to fix wrong family name, and register to monospace when specify
      'Fixed' to Width. (closes: Bug#144941)
    - fix the missing XLFDs. Thanks, ha shao.
    - split the cache for iso10646.
    - get the fonts in priority order.
  * debian/update-pango-modules: create /etc/pango directory for workaround,
    if it's not found.
  * debian/libpango1.0-common.templates: fix typo. (closes: Bug#145473)

 -- Akira TAGOH <tagoh@debian.org>  Sun, 12 May 2002 05:26:25 +0900

pango1.0 (1.0.1-3) unstable; urgency=medium

  * debian/scripts/vars.build: fix bashism.
  * debian/libpango1.0-common.{config,templates}:
    fix my sucked english ;) (closes: Bug141108)
  * debian/libpango1.0-common.postinst:
    don't always call update-pangox-aliases.
  * debian/README.Debian: add static link issue. libpango1.0-dev doesn't
    provide some static libraries, but don't try to statically link this
    library.
  * debian/libpango1.0-common.templates-ja: add.

 -- Akira TAGOH <tagoh@debian.org>  Sun, 14 Apr 2002 08:08:43 +0900

pango1.0 (1.0.1-2) unstable; urgency=low

  * debian/control:
    - add versioned dependency for libfreetype6-dev (closes: Bug#140728)
    - forgot to update versioned dependency for -dev.
    - move all recommended font packages to Suggests for f**kin' latin1 ONLY
      users, because our packaging mechanism looks like they have a right to
      an opinion. I'm disappointed. (closes: Bug#140621)
  * debian/README.Debian: describe about pangox.aliases.
  * debian/libpango1.0-common.config,
    debian/libpango1.0-common.templates:
    add a note for suggested font packages.

 -- Akira TAGOH <tagoh@debian.org>  Thu,  4 Apr 2002 01:55:18 +0900

pango1.0 (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/README.Debian: fix typo.
  * debian/libpango1.0-common.config: fix bashism. (closes: Bug#140074,
    Bug#140220)
  * debian/control: changed from Suggests to Recommends. those fonts is
    necessary to use Pango for debian.
  * debian/libpango1.0-common.templates: add some templates.
  * debian/libpango1.0-common.postinst: (closes: Bug#140088)
    - save an old pangox.aliases file.
    - make sure entrust a management to defoma.
  * debian/update-pango-modules: check a modules directory.

 -- Akira TAGOH <tagoh@debian.org>  Sat, 30 Mar 2002 17:33:42 +0900

pango1.0 (1.0.0-7) unstable; urgency=low

  * debian/rules: Oh.. don't clean up /var directories... (closes: Bug#139923)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 26 Mar 2002 09:22:31 +0900

pango1.0 (1.0.0-6) unstable; urgency=low

  * debian/libpango1.0-common.templates: fix misspelling (closes: Bug#139831)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 26 Mar 2002 00:29:48 +0900

pango1.0 (1.0.0-5) unstable; urgency=low

  * debian/update-pangox-aliases{,.1}: add.
  * debian/libpango1.0-common.postinst: fix generating pangox.aliases even if
    they have no defomized font packages. (closes: Bug#139695)

 -- Akira TAGOH <tagoh@debian.org>  Sun, 24 Mar 2002 22:11:35 +0900

pango1.0 (1.0.0-4) unstable; urgency=low

  * debian/libpango1.0-common.postinst: fix bashism.

 -- Akira TAGOH <tagoh@debian.org>  Sun, 17 Mar 2002 03:38:18 +0900

pango1.0 (1.0.0-3) unstable; urgency=low

  * debian/{rules,control}: add libpango-common as dummy package.
    it will helps to upgrade -common package.

 -- Akira TAGOH <tagoh@debian.org>  Sat, 16 Mar 2002 01:30:12 +0900

pango1.0 (1.0.0-2) unstable; urgency=low

  * debian/control: add defomized font packages to Suggests
  * debian/libpango1.0-common.{config,postinst}:
    moved removing old pangox.aliases to postinst.
  * debian/update-pango-modules: fix file attribute for pangox.aliases...

 -- Akira TAGOH <tagoh@debian.org>  Thu, 14 Mar 2002 06:42:41 +0900

pango1.0 (1.0.0-1) unstable; urgency=low

  * Initial Release.
  * Defomized for pangox.aliases.
  * update-pango-modules: provides wrapper script for updating pango modules.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 12 Mar 2002 17:53:38 +0900
